import {
  select,
  csv,
  scaleLinear,
  max,
  scaleBand,
  axisLeft,
  axisBottom
} from 'd3';


const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

csv('data.csv').then(data=> {
  data.forEach(d => {
    d.hits = +hits;})
  render(data);
});

const render = data => {
  
  const colorScale = scaleLinear()
    .domain([0, 1, 2])
    .range(['red', 'green', 'blue']);
  
  const yScale = scaleBand()
    .domain(data)
    .range([0, innerHeight])
    .padding(0);
  
  const g = svg.append('g')
  
  g.selectAll('rect').data(data)
    .enter().append('rect')
      .attr('y', d => yScale(yValue(d)))
      .attr('width', width)
      .attr('height', yScale.bandwidth());
};

render([0, 1, 2]);